package com.flyer.foster.controller.app;

import com.flyer.foster.dto.AreaQueryDTO;
import com.flyer.foster.entity.Area;
import com.flyer.foster.service.IAreaService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 区域（小程序）
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/area")
public class AppAreaController {
    @Autowired
    private IAreaService iAreaService;

    /**
     * 区域列表
     * @param areaQueryDTO 查询对象
     * @return
     */
    @GetMapping("/list")
    public R getByGardenId(@Valid AreaQueryDTO areaQueryDTO) {
        return R.ok().result(iAreaService.lambdaQuery().eq(Area::getGardenId, areaQueryDTO.getGardenId()).list());
    }

}
