package com.flyer.foster.controller.app;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.flyer.foster.dto.GardenAddDTO;
import com.flyer.foster.dto.GardenQueryDTO;
import com.flyer.foster.dto.GardenRespDTO;
import com.flyer.foster.dto.GardenUpdateDTO;
import com.flyer.foster.entity.Garden;
import com.flyer.foster.service.IGardenService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * 果园（小程序）
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/garden")
public class AppGardenController {
    @Autowired
    private IGardenService iGardenService;

    /**
     * 果园列表
     *
     * @return
     */
    @GetMapping("/get")
    public R get(@RequestParam Integer id) {
        Garden bean = iGardenService.getById(id);
        return R.ok().result(bean);
    }

    /**
     * 果园列表-分页
     *
     * @param current 当前页
     * @param size    当前页显示条数
     * @return
     */
    @GetMapping("/list/{current}/{size}")
    public R getPageList(@PathVariable Integer current, @PathVariable Integer size, GardenQueryDTO queryDTO) {
        IPage<GardenRespDTO> page = new Page<>(current, size);
        return R.ok().result(iGardenService.getPageList(page, queryDTO));
    }
}
