package com.flyer.foster.controller.app;

import com.flyer.foster.service.IWorldMapService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 世界地图（小程序）
 *
 * @author flyer
 * @since 2024-05-18
 */
@RestController
@RequestMapping("/app/world-map")
public class AppWorldMapController {
    @Autowired
    private IWorldMapService iWorldMapService;

    /**
     * 获取世界地图列表
     * @return
     */
    @GetMapping("/list")
    public R getList() {
        return R.ok().result(iWorldMapService.list());
    }
}
