package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

/**
 * CartoonAddDTO
 *
 * @author kelei
 * @since 2024/5/25/14:33
 */
@Data
public class CartoonAddDTO {
    /**
     * 漫画名称
     */
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * 开始时间
     */
    @NotBlank(message = "开始时间不能为空")
    private String startTime;

    /**
     * 结束时间
     */
    @NotBlank(message = "结束时间不能为空")
    private String endTime;

    private List<String> cartoonUrlList = new ArrayList<>();
}
