package com.flyer.foster.mapper;

import com.flyer.foster.entity.Menu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.flyer.foster.pojo.TreeAllMenu;
import com.flyer.foster.pojo.TreeMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 菜单表 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
public interface IMenuMapper extends BaseMapper<Menu> {
    /**
     * 根据用户id获取权限
     *
     * @param userId 用户id
     * @return list
     */
    List<String> selectPermissionsByUserId(@Param("userId") Integer userId);

    /**
     * 根据用户id获取菜单列表
     *
     * @param userId 用户id
     * @return list
     */
    List<TreeMenu> selectListByUserIdConvert2DTO(@Param("userId") Integer userId);

    /**
     * 根据角色id获取菜单列表
     *
     * @param roleId 角色id
     * @return list
     */
    List<TreeAllMenu> selectListByRoleIdConvert2DTO(@Param("roleId") Integer roleId);

    /**
     * 获取新增角色界面的所有类型菜单
     *
     * @return
     */
    List<TreeAllMenu> selectAllTypeMenus(@Param("menuIdList") List<Integer> menuIdList);
}
