package com.flyer.foster.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flyer.foster.dto.CartoonAddDTO;
import com.flyer.foster.dto.CartoonQueryDTO;
import com.flyer.foster.dto.CartoonRespDTO;
import com.flyer.foster.dto.CartoonUpdateDTO;
import com.flyer.foster.entity.Cartoon;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 漫画 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-25
 */
public interface ICartoonService extends IService<Cartoon> {

    IPage<CartoonRespDTO> getPageList(IPage<Cartoon> page, CartoonQueryDTO queryDTO);

    boolean addCartoon(CartoonAddDTO addDTO);

    boolean deleteByIdList(List<Integer> idList);

    boolean updateCartoon(CartoonUpdateDTO updateDTO);

    /**
     * 获取最新的漫画
     *
     * @param queryDTO
     * @return
     */
    CartoonRespDTO getLatestCartoon(CartoonQueryDTO queryDTO);

    /**
     * 查询今天的漫画
     * @param now
     * @return
     */
    CartoonRespDTO getNowCartoon(LocalDateTime now);
}
