package com.flyer.foster.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.flyer.foster.dto.app.AppFosterRecordAddDTO;
import com.flyer.foster.dto.app.AppFosterRecordQueryDTO;
import com.flyer.foster.dto.app.AppFosterRecordRespDTO;
import com.flyer.foster.entity.FosterRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 领养记录 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface IFosterRecordService extends IService<FosterRecord> {

    /**
     * 确认领养
     * @param addDTO
     * @return
     */
    Integer addFosterRecord(AppFosterRecordAddDTO addDTO);

    /**
     * 领养列表-分页
     * @param page
     * @param queryDTO
     * @return
     */
    IPage<AppFosterRecordRespDTO> getPageList(Page<AppFosterRecordRespDTO> page, AppFosterRecordQueryDTO queryDTO);

    Integer getFosterDays(AppFosterRecordQueryDTO queryDTO);
}
