package com.flyer.foster.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.flyer.foster.dto.*;
import com.flyer.foster.entity.Garden;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 果园 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface IGardenService extends IService<Garden> {

    IPage<GardenRespDTO> getPageList(IPage<GardenRespDTO> page, GardenQueryDTO queryDTO);

    /**
     * 新增区域
     * @param addDTO
     * @return
     */
    boolean addGarden(GardenAddDTO addDTO);

    /**
     * 物理删除
     * @param idList
     * @return
     */
    boolean deleteByIdList(List<Integer> idList);

    /**
     * 修改区域
     * @param updateDTO
     * @return
     */
    boolean updateGarden(GardenUpdateDTO updateDTO);
}
